List resource placeholders
curl --request GET \
--url https://www.ruddr.io/api/workspace/resource-placeholders \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/resource-placeholders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/resource-placeholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "74c6b273-b91e-4cde-91d8-866ee99b0aad",
"name": "Consultant",
"isActive": true,
"isBillable": true,
"rateCurrency": "USD",
"rate": 165,
"costCurrency": "USD",
"costPerHour": 80,
"createdAt": "2025-11-13T17:02:37.742Z",
"discipline": {
"id": "3a8f1d2c-e947-4b06-9f13-c2d5e7a80b41",
"name": "Technical Consulting"
},
"practice": {
"id": "89c60b34-cca3-4b66-85d0-7b21e8e03c94",
"name": "Implementation Services"
},
"location": {
"id": "9f4c2e71-3b8d-4a15-b6f2-d1e9c7a50384",
"name": "North America"
},
"skills": [
{
"id": "cc1128f7-7cac-4707-aeab-fe347b784abc",
"name": "Salesforce"
},
{
"id": "354ba2a2-b67b-4278-8d25-9ec2aa37daea",
"name": "Consulting"
}
]
}
],
"hasMore": true
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Resource Allocations' is not enabled."
}Resource Placeholders
List resource placeholders
GET
/
resource-placeholders
List resource placeholders
A generic role-based slot used to plan staffing needs before assigning specific members.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
Filter by name when it exactly matches the provided keyword.
⌘I